import * as core from "@terrascript/core";

export interface DsAssetsArgs {
  arn: string | core.StringOut;
}

export class DsAssets extends core.Data<DsAssetsArgs> {
  @core.attr(String)
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public assetIds!: core.Array<string> | core.ArrayOut<core.StringOut>;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DsAssetsArgs) {
    super(name, "aws_outposts_assets", args);
  }

  public override getNamespace(): string {
    return "aws_outposts";
  }
}
